# Class: EventManager

## EventManager()

#### new EventManager()

EventManager is used to manager DOM events creating and destruction in a single function call. It is used by objects to make it easier to add and remove events from global DOM objects.

Source:
  - utils/EventManager.js, line 8

### Members

#### events :Array

Stores all events in the manager, their target and callback. Format [target, event, callback, active]

##### Type:

- Array

Source:
  - utils/EventManager.js, line 17

### Methods

#### add(target, event, callback)

Add new event to the manager.

##### Parameters:

Name | Type | Description
--- | --- | ---
`target` | Element | Event target element.
`event` | String | Event name.
`callback` | function | Callback function.

Source:
  - utils/EventManager.js, line 27

#### clear()

Destroys this manager and remove all events.

Source:
  - utils/EventManager.js, line 35

#### create()

Creates all events in this manager.

Source:
  - utils/EventManager.js, line 44

#### destroy()

Removes all events in this manager.

Source:
  - utils/EventManager.js, line 57